<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">

    <title>Homwork9</title>
</head>

<body>
    <script>
        let ageUser = function() {
            let dateArr = (prompt("enter your date of birth", "dd.mm.yyyy")).split('.')
            let birthDate = new Date(dateArr[2], dateArr[1], dateArr[0]);
            let oldDay = birthDate.getTime();
            let age = parseInt((Date.now() - oldDay) / 31536000000);
            let tastDate = dateArr[1] + "." + dateArr[0];

            let signs = [
                ["Водолей", "01.20"],
                ["Рыбы", "02.20"],
                ["Овен", "03.20"],
                ["Телец", "04.20"],
                ["Близнецы", "05.20"],
                ["Рак", "06.21"],
                ["Лев", "07.22"],
                ["Дева", "08.23"],
                ["Весы", "09.23"],
                ["Скорпион", "10.23"],
                ["Стрелец", "11.22"],
                ["Козерог", "12.21"],
            ];

            let yourZodiac
            for (let Key in signs) {
                if (tastDate > signs[11][1] || tastDate < signs[0][1]) {
                    yourZodiac = signs[11][0];
                }
                else if (tastDate > signs[Key][1] && tastDate < signs[+Key + 1][1]) {
                    yourZodiac = signs[Key][0];
                } else continue
            }
            confirm("Вам" + " " + age + " " + "полных лет");
            confirm("Вы" + " " + yourZodiac)

        };

        ageUser()
    </script>

</body>

</html>
